Bug 1293618 - [Doc RFE] Add a new chapter on how to maintain/use RHGS in a container
[Doc RFE] Add a new chapter on how to maintain/use RHGS in a container
Status: CLOSED CURRENTRELEASE
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: doc-Administration_Guide (Show other bugs)
3.1
Unspecified Unspecified
high Severity high
: ---
: RHGS 3.1.2
Assigned To: Bhavana
Prasanth
: FutureFeature, ZStream
: 1293619 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-22 07:35 EST by Anjana Suparna Sriram
Modified: 2017-11-17 00:26 EST (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Anjana Suparna Sriram 2015-12-22 07:35:56 EST
Document URL: New chapter to be authored on how to use/manage RHGS as a container


Additional information: 

1) RHGS Container Feature Content Plan:
https://mojo.redhat.com/docs/DOC-1059298

2) Containerized RHGS Phase2 Delivery summary: https://docs.google.com/document
/d/1o4_funQmy91dmIG_qAuxowDwfk1jrRIyrGx2wzXNNmU/edit#

3) Test Strategy:
https://docs.google.com/document/d/1tPUYLlxdnhhDfSyues4U99j5V3INTH-9k2YzP-Fm94g/edit
Comment 4 Anjana Suparna Sriram 2016-02-08 03:38:11 EST
*** Bug 1293619 has been marked as a duplicate of this bug. ***
Comment 7 Bhavana 2016-02-19 03:30:57 EST
The document is updated with the latest changes made to containerized RHGS:

https://docs.google.com/document/d/1QK3OqAiZYhEEpwPLQmwB4TX2nyr2vDdIlyAhCcP0Cvc/edit#heading=h.fcvtxrlle1gz

This document has been shared for a review.
Comment 8 Bhavana 2016-02-22 10:33:08 EST
Final draft was shared with the stakeholders and the review comments are incorporated.

This is added as Chapter 11 "Managing Containerized Red Hat Gluster Storage"

http://jenkinscat.gsslab.pnq.redhat.com:8080/job/doc-Red_Hat_Gluster_Storage-3.1-Administration_Guide%20%28html-single%29/lastStableBuild/artifact/tmp/en-US/html-single/index.html#chap-Managing_Containerized_RHGS


Awaiting the list of features that are not supported and the image name.
Comment 9 Prasanth 2016-02-24 05:33:33 EST
See my comments below:

* # mkdir -p /etc/glusterfs -p /var/lib/glusterd -p /var/log/glusterfs

	[Prasanth] I believe, # mkdir -p /etc/glusterfs /var/lib/glusterd /var/log/glusterfs also does the same thing. Change, if required.


* # docker run --name glusterdata  -v /etc/glusterfs:/etc/glusterfs:z -v /var/lib/glusterd:/var/lib/glusterd:z -v /var/log/glusterfs:/var/log/glusterfs:z -v /sys/fs/cgroup:/sys/fs/cgroup:ro <image name> /usr/sbin/setup.sh

	[Prasanth] 11.2 example should have a sample image name (rhgs-server-rhel7:3.1.2-9?) instead of "<image name>" as both the command and the example looks more or less the same.


* >> SELinux labels are reset to svist_sandbox_t so that container can interact with the Atomic Host directory.

	[Prasanth] I believe the label should be "svirt_sandbox_file_t" and NOT "svist_sandbox_t". Ashiq, can you check and confirm the same?
	[Prasanth] Are you asking the customer to set the labels as mentioned or saying that it would be automatically reset to the correct labels? In either case, we need to make it clear to avoid any confusion.


* docker run -d --privileged=true --net=host --volumes-from glusterdata -v /mnt/brick1:/mnt/brick1:z <image name>

	[Prasanth] It would be good to include --name=<name> as well. Say: --name=glusternode1
	

* /mnt/brick1 is the mountpoint of the brick in the atomic host and :/mnt/brick1 is the mountpoint of the brick in the container
	[Prasanth] To avoid any confusion, it would be better not to give the same mountpoints "/mnt/brick1" for atomic host and container

Moving it back to make the changes as suggested.
Comment 10 Bhavana 2016-02-25 01:35:34 EST
Hi Prasanth,

I have made the necessary changes and added my comments inline.

http://jenkinscat.gsslab.pnq.redhat.com:8080/job/doc-Red_Hat_Gluster_Storage-3.1-Administration_Guide%20%28html-single%29/lastStableBuild/artifact/tmp/en-US/html-single/index.html#chap-Managing_Containerized_RHGS


* # mkdir -p /etc/glusterfs -p /var/lib/glusterd -p /var/log/glusterfs

	[Prasanth] I believe, # mkdir -p /etc/glusterfs /var/lib/glusterd /var/log/glusterfs also does the same thing. Change, if required. 
        [Bhavana] Changed the command to # mkdir -p /etc/glusterfs /var/lib/glusterd /var/log/glusterfs


* # docker run --name glusterdata  -v /etc/glusterfs:/etc/glusterfs:z -v /var/lib/glusterd:/var/lib/glusterd:z -v /var/log/glusterfs:/var/log/glusterfs:z -v /sys/fs/cgroup:/sys/fs/cgroup:ro <image name> /usr/sbin/setup.sh

	[Prasanth] 11.2 example should have a sample image name (rhgs-server-rhel7:3.1.2-9?) instead of "<image name>" as both the command and the example looks more or less the same. 

        [Bhavana] Changed the image name to rhgs3/rhgs-server-rhel7


* >> SELinux labels are reset to svist_sandbox_t so that container can interact with the Atomic Host directory.

	[Prasanth] I believe the label should be "svirt_sandbox_file_t" and NOT "svist_sandbox_t". Ashiq, can you check and confirm the same?
	[Prasanth] Are you asking the customer to set the labels as mentioned or saying that it would be automatically reset to the correct labels? In either case, we need to make it clear to avoid any confusion. 

        [Bhavana] Changed the label to svirt_sandbox_file_t and modified the sentence to convey that the label is changed automatically.


* docker run -d --privileged=true --net=host --volumes-from glusterdata -v /mnt/brick1:/mnt/brick1:z <image name>

	[Prasanth] It would be good to include --name=<name> as well. Say: --name=glusternode1 
        [Bhavana] Included the option.
	

* /mnt/brick1 is the mountpoint of the brick in the atomic host and :/mnt/container_brick1 is the mountpoint of the brick in the container
	[Prasanth] To avoid any confusion, it would be better not to give the same mountpoints "/mnt/brick1" for atomic host and container
        [Bhavana] Changed the mnt point of the container to :/mnt/container_brick1
Comment 11 Prasanth 2016-02-25 02:36:58 EST
(In reply to Bhavana from comment #10)
> Hi Prasanth,

> * docker run -d --privileged=true --net=host --volumes-from glusterdata -v
> /mnt/brick1:/mnt/brick1:z <image name>
> 
> 	[Prasanth] It would be good to include --name=<name> as well. Say:
> --name=glusternode1 
>         [Bhavana] Included the option.

Thanks for including all the suggested changes. 

I think you missed to include the above option in Step 3 and it's example in addition to Step2 and it's example. Please check and do the needful.
Comment 13 Prasanth 2016-02-25 04:15:04 EST
(In reply to Bhavana from comment #12)
> Thanks for pointing that out. Following is the updated link:
> 
> http://jenkinscat.gsslab.pnq.redhat.com:8080/job/doc-Red_Hat_Gluster_Storage-
> 3.1-Administration_Guide%20%28html-single%29/lastStableBuild/artifact/tmp/en-
> US/html-single/index.html#chap-Managing_Containerized_RHGS

Marking it as Verified as per the latest doc.

Note You need to log in before you can comment on or make changes to this bug.